package com.freeleaps.devops.enums

enum ServiceLanguage {

  PYTHON('python'),
  JS('javascript'),
  UNKNOWN('Unknown')

  final String language

  ServiceLanguage(String language) {
    this.language = language
  }

  static ServiceLanguage parse(String language) {
    switch (language) {
      case 'python':
        return ServiceLanguage.PYTHON
      case 'javascript':
        return ServiceLanguage.JS
      default:
        return ServiceLanguage.UNKNOWN
    }
  }

}
